
Name:		spyder
Version:	2.2.4
Release:	%mkrel 3
Summary:	Scientific Python Development Environment
Source0:	http://spyderlib.googlecode.com/files/%{name}-%{version}.zip
Source1:	%{name}.desktop
Patch0:		spyder-Handle-EOFError-when-reading-spyderproject-file.patch
License:	MIT
Group:		Development/Python
URL:		http://spyderlib.googlecode.com/
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-sphinx
Requires:	python-qt4
Requires:	python-sphinx
Requires:	python-rope
Suggests:	pyflakes
Suggests:	pylint, python-numpy, python-scipy
Suggests:	python-matplotlib

%description
Spyder is a Python development environment with advanced editing, interactive
testing, debugging and introspection features. It is especially recommended 
for scientific computing thanks to NumPy (linear algebra), SciPy (signal and 
image processing), matplotlib (interactive 2D/3D plotting), MayaVi’s mlab 
(interactive 3D visualization) and -of course- IPython support.

Spyder may also be used as a library providing powerful console-related PyQt4
widgets.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1 -b .eoferror

rm -rf PKG-INFO

# Remove DOS line endings
for file in `find -name "*.rst" -o -name "*.py" -o -name "*.css"` README; do
	sed "s|\r||g" $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/spyderlib/doc/{.buildinfo,.doctrees}
rm -rf %{buildroot}%{_bindir}/spyder_win_post_install.py


# adding a launcher

%{__install} -d -m755 %{buildroot}%{_datadir}/applications
%{__install} -d -m755 %{buildroot}%{_datadir}/pixmaps

%{__install} -m644 %SOURCE1 %{buildroot}%{_datadir}/applications
%{__install} -m644 spyderlib/images/spyder.svg %{buildroot}%{_datadir}/pixmaps


%files
%doc README
%{python_sitelib}/spyder-*.egg-info
%{python_sitelib}/spyderlib
%{python_sitelib}/spyderplugins
%{_bindir}/spyder
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/spyder.*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.2.4-3.mga4
+ Revision: 544518
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.4-2.mga4
+ Revision: 499891
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 30 2013 philippem <philippem> 2.2.4-1.mga4
+ Revision: 489696
- imported package spyder

